Copy snapshot
curl --request POST \
--url https://api.omnistrate.cloud/2022-09-01-00/resource-instance/snapshot/{sourceSnapshotId} \
--header 'Content-Type: application/json' \
--header 'Cookie: <cookie>' \
--data '
{
"targetRegion": "<string>"
}
'import requests
url = "https://api.omnistrate.cloud/2022-09-01-00/resource-instance/snapshot/{sourceSnapshotId}"
payload = { "targetRegion": "<string>" }
headers = {
"Cookie": "<cookie>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Cookie: '<cookie>', 'Content-Type': 'application/json'},
body: JSON.stringify({targetRegion: '<string>'})
};
fetch('https://api.omnistrate.cloud/2022-09-01-00/resource-instance/snapshot/{sourceSnapshotId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>"
}Snapshots
Copy snapshot
Copy a snapshot to another region.
POST
/
2022-09-01-00
/
resource-instance
/
snapshot
/
{sourceSnapshotId}
Copy snapshot
Copies an existing snapshot into another region, for example to prepare a cross-region restore. Copying is asynchronous.
Authorization
Path parameters
string
required
ID of the snapshot to copy.
Query parameters
string
Subscription that owns the snapshot.
Body
string
required
Region to copy the snapshot to, for example
eu-west-1.Request
{
"targetRegion": "eu-west-1"
}
Response
Returns202 Accepted.
string
ID of the orchestration that copies the snapshot.
Errors
See Error for the error response shape.⌘I